Name:           perl-Data-Entropy
Version:        0.007
Release:        1%{?dist}
Summary:        Entropy (randomness) management
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Entropy/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Data-Entropy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Crypt::Rijndael)
BuildRequires:  perl(Data::Float) >= 0.008
BuildRequires:  perl(HTTP::Lite) >= 2.2
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Classify)
BuildRequires:  perl(parent)
BuildRequires:  perl(Test::More)
Requires:       perl(Crypt::Rijndael)
Requires:       perl(Data::Float) >= 0.008
Requires:       perl(HTTP::Lite) >= 2.2
Requires:       perl(Params::Classify)
Requires:       perl(parent)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module maintains a concept of a current selection of entropy source.
Algorithms that require entropy, such as those in
Data::Entropy::Algorithms, can use the source nominated by this module,
avoiding the need for entropy source objects to be explicitly passed
around. This is convenient because usually one entropy source will be used
for an entire program run and so an explicit entropy source parameter would
rarely vary. There is also a default entropy source, avoiding the need to
explicitly configure a source at all.

%prep
%setup -q -n Data-Entropy-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Sep 02 2014 Dave Cross <dave@mag-sol.com> 0.007-1
- Specfile autogenerated by cpanspec 1.78.
